# class Sass::Tree::Visitors::Cssize::Bubble

A wrapper class for a node that indicates to the parent that it should treat the wrapped node as a sibling rather than a child.

Nodes should be wrapped before they're passed to {Cssize.visit}. They will be automatically visited upon calling {#pop}.

This duck types as a [Sass::Tree::Node] for the purposes of tree-manipulation operations.

### Attributes

group_end[RW]
node[RW]
tabs[RW]

### Public Class Methods

new(node) click to toggle source

    # File lib/sass/tree/visitors/cssize.rb, line 349
    def initialize(node)
      @node = node
      @tabs = 0
    end

### Public Instance Methods

bubbles?() click to toggle source

    # File lib/sass/tree/visitors/cssize.rb, line 354
    def bubbles?
      true
    end

inspect() click to toggle source

    # File lib/sass/tree/visitors/cssize.rb, line 358
    def inspect
      "(Bubble #{node.inspect})"
    end